> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.telekesher.dev/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.telekesher.dev/_mcp/server.

# Health check

GET https://api.telekesher.dev/health

Public health check endpoint. No authentication required.

Reference: https://docs.telekesher.dev/api/health/check

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: voice-api
  version: 1.0.0
paths:
  /health:
    get:
      operationId: check
      summary: Health check
      description: Public health check endpoint. No authentication required.
      tags:
        - health
      responses:
        '200':
          description: Service is healthy
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Health_check_Response_200'
        '503':
          description: >-
            A required dependency is unavailable; the service is not ready to
            receive traffic.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HealthCheckRequestServiceUnavailableError'
servers:
  - url: https://api.telekesher.dev
    description: Gateway server
components:
  schemas:
    HealthGetResponsesContentApplicationJsonSchemaRedis:
      type: string
      enum:
        - ok
        - error
      title: HealthGetResponsesContentApplicationJsonSchemaRedis
    HealthGetResponsesContentApplicationJsonSchemaRouting:
      type: string
      enum:
        - ok
        - stale
      title: HealthGetResponsesContentApplicationJsonSchemaRouting
    HealthGetResponsesContentApplicationJsonSchemaStatus:
      type: string
      enum:
        - degraded
      title: HealthGetResponsesContentApplicationJsonSchemaStatus
    Health_check_Response_200:
      type: object
      properties:
        event_consumer_count:
          type: integer
        goroutines:
          type: integer
        redis:
          $ref: >-
            #/components/schemas/HealthGetResponsesContentApplicationJsonSchemaRedis
        routing:
          $ref: >-
            #/components/schemas/HealthGetResponsesContentApplicationJsonSchemaRouting
        status:
          $ref: >-
            #/components/schemas/HealthGetResponsesContentApplicationJsonSchemaStatus
      required:
        - event_consumer_count
        - goroutines
        - redis
        - routing
        - status
      title: Health_check_Response_200
    HealthCheckRequestServiceUnavailableError:
      type: object
      properties:
        event_consumer_count:
          type: integer
        goroutines:
          type: integer
        redis:
          $ref: >-
            #/components/schemas/HealthGetResponsesContentApplicationJsonSchemaRedis
        routing:
          $ref: >-
            #/components/schemas/HealthGetResponsesContentApplicationJsonSchemaRouting
        status:
          $ref: >-
            #/components/schemas/HealthGetResponsesContentApplicationJsonSchemaStatus
      required:
        - event_consumer_count
        - goroutines
        - redis
        - routing
        - status
      title: HealthCheckRequestServiceUnavailableError

```

## Examples



**Response**

```json
{
  "event_consumer_count": 3,
  "goroutines": 42,
  "redis": "ok",
  "routing": "ok",
  "status": "ok"
}
```

**SDK Code**

```python Health_check_example
import requests

url = "https://api.telekesher.dev/health"

response = requests.get(url)

print(response.json())
```

```javascript Health_check_example
const url = 'https://api.telekesher.dev/health';
const options = {method: 'GET'};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Health_check_example
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.telekesher.dev/health"

	req, _ := http.NewRequest("GET", url, nil)

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Health_check_example
require 'uri'
require 'net/http'

url = URI("https://api.telekesher.dev/health")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)

response = http.request(request)
puts response.read_body
```

```java Health_check_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.telekesher.dev/health")
  .asString();
```

```php Health_check_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.telekesher.dev/health');

echo $response->getBody();
```

```csharp Health_check_example
using RestSharp;

var client = new RestClient("https://api.telekesher.dev/health");
var request = new RestRequest(Method.GET);
IRestResponse response = client.Execute(request);
```

```swift Health_check_example
import Foundation

let request = NSMutableURLRequest(url: NSURL(string: "https://api.telekesher.dev/health")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```